package com.zhyc.module.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zhyc.module.base.mapper.DaRanchMapper;
import com.zhyc.module.base.domain.DaRanch;
import com.zhyc.module.base.service.IDaRanchService;

/**
 * 牧场管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-22
 */
@Service
public class DaRanchServiceImpl implements IDaRanchService 
{
    @Autowired
    private DaRanchMapper daRanchMapper;

    /**
     * 查询牧场管理
     * 
     * @param id 牧场管理主键
     * @return 牧场管理
     */
    @Override
    public DaRanch selectDaRanchById(Long id)
    {
        return daRanchMapper.selectDaRanchById(id);
    }

    /**
     * 查询牧场管理列表
     * 
     * @param daRanch 牧场管理
     * @return 牧场管理
     */
    @Override
    public List<DaRanch> selectDaRanchList(DaRanch daRanch)
    {
        return daRanchMapper.selectDaRanchList(daRanch);
    }

    /**
     * 新增牧场管理
     * 
     * @param daRanch 牧场管理
     * @return 结果
     */
    @Override
    public int insertDaRanch(DaRanch daRanch)
    {
        return daRanchMapper.insertDaRanch(daRanch);
    }

    /**
     * 修改牧场管理
     * 
     * @param daRanch 牧场管理
     * @return 结果
     */
    @Override
    public int updateDaRanch(DaRanch daRanch)
    {
        return daRanchMapper.updateDaRanch(daRanch);
    }

    /**
     * 批量删除牧场管理
     * 
     * @param ids 需要删除的牧场管理主键
     * @return 结果
     */
    @Override
    public int deleteDaRanchByIds(Long[] ids)
    {
        return daRanchMapper.deleteDaRanchByIds(ids);
    }

    /**
     * 删除牧场管理信息
     * 
     * @param id 牧场管理主键
     * @return 结果
     */
    @Override
    public int deleteDaRanchById(Long id)
    {
        return daRanchMapper.deleteDaRanchById(id);
    }
}
